/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { defineComponent as n, ref as o, provide as i, createVNode as l } from "vue";
import { IntlService as t } from "./IntlService.mjs";
import { validatePackage as a, getDefaultSlots as c } from "@progress/kendo-vue-common";
import { packageMetadata as d } from "../package-metadata.mjs";
const S = /* @__PURE__ */ n({
  props: {
    locale: String
  },
  data() {
    return this.getChildContext();
  },
  setup(e) {
    const r = o(new t(e.locale));
    i("kendoIntlService", r);
  },
  watch: {
    locale: function(e) {
      this.$data.kendoIntlService.locale = e;
    }
  },
  provide: function() {
    return {
      kendoIntlService: this.$data.kendoIntlService
    };
  },
  methods: {
    /**
     * Returns an internationalization service.
     * The method is suitable for overriding when you
     * implement custom internationalization behavior.
     */
    getIntlService() {
      return new t(this.$props.locale);
    },
    /**
     * @hidden
     */
    getChildContext() {
      return {
        kendoIntlService: this.getIntlService()
      };
    }
  },
  created: function() {
    a(d);
  },
  /**
   * @hidden
   */
  render() {
    const e = c(this);
    return l("div", null, [e]);
  }
});
export {
  S as IntlProvider
};
